SpringBoardParserInternal::Shape::Paragraph Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
SpringBoardParserInternal::Shape::Paragraph Struct Reference

a paragraph contained in a SpringBoardParserInternal::Shape More...

## Public Member Functions
| Paragraph ()
| constructor

## Public Attributes
int | m_numChars
| the number of character
int | m_firstChar
| the first character
bool | m_newColumn
| a flag to know if we need to change column: USEME
int | m_numCharStyles
| the number of character style
int | m_textZoneId
| the text zone id
int | m_paragraphStyle
| the paragraph style
MWAWEntry | m_charEntry
| the character style zone

## Detailed Description

a paragraph contained in a SpringBoardParserInternal::Shape

## Constructor & Destructor Documentation

## ◆ Paragraph()

SpringBoardParserInternal::Shape::Paragraph::Paragraph | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_charEntry

MWAWEntry SpringBoardParserInternal::Shape::Paragraph::m_charEntry

the character style zone

Referenced by SpringBoardParser::parseShape().

## ◆ m_firstChar

int SpringBoardParserInternal::Shape::Paragraph::m_firstChar

the first character

Referenced by SpringBoardParser::parseShape().

## ◆ m_newColumn

bool SpringBoardParserInternal::Shape::Paragraph::m_newColumn

a flag to know if we need to change column: USEME

Referenced by SpringBoardParser::parseShape().

## ◆ m_numChars

int SpringBoardParserInternal::Shape::Paragraph::m_numChars

the number of character

Referenced by SpringBoardParser::parseShape().

## ◆ m_numCharStyles

int SpringBoardParserInternal::Shape::Paragraph::m_numCharStyles

the number of character style

Referenced by SpringBoardParser::parseShape().

## ◆ m_paragraphStyle

int SpringBoardParserInternal::Shape::Paragraph::m_paragraphStyle

the paragraph style

Referenced by SpringBoardParser::parseShape().

## ◆ m_textZoneId

int SpringBoardParserInternal::Shape::Paragraph::m_textZoneId

the text zone id

Referenced by SpringBoardParser::parseShape().

The documentation for this struct was generated from the following file:

- SpringBoardParser.cxx